## org.codehaus.groovy.grails.web.metaclass
Class BindDynamicMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.BindDynamicMethod

All Implemented Interfaces:
  DynamicMethodInvocation

    public class BindDynamicMethod

extends AbstractDynamicMethodInvocation

A dynamic method present in controllers allowing data binding from a map to a target instance. Example: `def a = new Account() bindData( a, this.params )`

Since:
  10-Jan-2006
Author:
  Graeme Rocher

Field Summary
`static Pattern` `METHOD_PATTERN`
`static String` `METHOD_SIGNATURE`

Constructor Summary
`BindDynamicMethod()`

Method Summary
`Object` `invoke(Object target, String methodName, Object[] arguments)` Invokes the actual method.

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
`getPattern, isMethodMatch, setPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHOD_SIGNATURE

    public static final String METHOD_SIGNATURE

See Also:
  Constant Field Values

### METHOD_PATTERN

    public static final Pattern METHOD_PATTERN

Constructor Detail

### BindDynamicMethod

    public BindDynamicMethod()

Method Detail

### invoke

    public Object invoke(Object target,
                         String methodName,
                         Object[] arguments)

  Description copied from interface: `DynamicMethodInvocation`

  Invokes the actual method. The target object and arguments are supplied.

  Specified by:
    `invoke` in interface `DynamicMethodInvocation`
  Specified by:
    `invoke` in class `AbstractDynamicMethodInvocation`
  Parameters:
    `target` - the target on which the method is invoked.
    `arguments` - the arguments passed in the method call @return the return value of the dynamic method invocation.

Copyright (c) 2005-2009 The Grails project